new stable kernel 3.9.7 and nvidia-settings - how to solve ?

This is not a special hurd for Ubuntu - it is because of non-actualized
package nvidia-current to be merged together with kernel 3.9.7 (stable)

here is the complete question:

http://askubuntu.com/questions/311122/new-stable-kernel-3-9-7-for-12-10-how-to-install

How can I adjust nvidia-current to fix to kernel 3.9.7 (stable) ?

Yes it has been nvidia-package CUDA_SDK_1.1_Beta_Linux.run installed - and this depends
on nvidia-current.